Bug 53176 - Exception in CodesignNativeNativeLibraries breaking md-addins build, with xbuild
Summary: Exception in CodesignNativeNativeLibraries breaking md-addins build, with xbuild
Status: RESOLVED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: MSBuild (show other bugs)
Version: XI 10.8 (d15-1)
Hardware: PC Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Jeffrey Stedfast
URL:
Depends on:
Blocks:
 
Reported: 2017-03-09 02:17 UTC by Ankit Jain
Modified: 2017-03-13 17:44 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
md-addins-x-log.gz (1.83 MB, application/x-gzip)
2017-03-09 02:17 UTC, Ankit Jain
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Ankit Jain 2017-03-09 02:17:17 UTC
Created attachment 20233 [details]
md-addins-x-log.gz

This with md-addins/master(HEAD: 922e428f4d4153aad7a32b2220aa352064b5dad8) being built with xbuild from mono (4.8.0 (mono-4.8.0-branch/0494d70 Thu Mar  2 21:19:48 EST 2017).

The CodesignNativeLibraries task fails when trying to write to some files:

===============
 Task "CodesignNativeLibraries"
         Using task CodesignNativeLibraries from Xamarin.iOS.Tasks.CodesignNativeLibraries, Xamarin.iOS.Tasks, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
         CodesignNativeLibraries Task
           AppBundleDir: ../../../bin/NoDist/Tests/TVOS/MonoTouchDesignerServerTestsTVOS.app
           CodesignAllocate: /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/codesign_allocate
           DisableTimestamp: True
           IntermediateOutputPath: obj/iPhoneSimulator/Debug/codesign
           Keychain: <null>
           SigningKey: -
           ExtraArgs: <null>
         Tool /usr/bin/codesign execution started with arguments: -v --force --sign - --timestamp=none ../../../bin/NoDist/Tests/TVOS/MonoTouchDesignerServerTestsTVOS.app/libxamarin-debug.dylib
         Tool /usr/bin/codesign execution started with arguments: -v --force --sign - --timestamp=none ../../../bin/NoDist/Tests/TVOS/MonoTouchDesignerServerTestsTVOS.app/libmono-profiler-log.dylib
         Tool /usr/bin/codesign execution started with arguments: -v --force --sign - --timestamp=none ../../../bin/NoDist/Tests/TVOS/MonoTouchDesignerServerTestsTVOS.app/libmonosgen-2.0.dylib
         Tool /usr/bin/codesign execution finished (exit code = 0).
         Tool /usr/bin/codesign execution finished (exit code = 0).
         Tool /usr/bin/codesign execution finished (exit code = 0).
/Library/Frameworks/Mono.framework/External/xbuild/Xamarin/iOS/Xamarin.iOS.Common.targets: error : Error executing task CodesignNativeLibraries: One or more errors occurred.
         Error executing task CodesignNativeLibraries: System.AggregateException: One or more errors occurred. ---> System.IO.DirectoryNotFoundException: Could not find a part of the path "/Users/ankit/dev/md-addins/Xamarin.Designer.iOS/tests/MonoTouch.Designer.Server.Tests/tvos/obj/bin/NoDist/Tests/TVOS/MonoTouchDesignerServerTestsTVOS.app/libxamarin-debug.dylib"

...
---> (Inner Exception #0) System.IO.DirectoryNotFoundException: Could not find a part of the path "/Users/ankit/dev/md-addins/Xamarin.Designer.iOS/tests/MonoTouch.Designer.Server.Tests/tvos/obj/bin/NoDist/Tests/TVOS/MonoTouchDesignerServerTestsTVOS.app/libxamarin-debug.dylib"
...
---> (Inner Exception #1) System.IO.DirectoryNotFoundException: Could not find a part of the path "/Users/ankit/dev/md-addins/Xamarin.Designer.iOS/tests/MonoTouch.Designer.Server.Tests/tvos/obj/bin/NoDist/Tests/TVOS/MonoTouchDesignerServerTestsTVOS.app/libmono-profiler-log.dylib"
...
---> (Inner Exception #2) System.IO.DirectoryNotFoundException: Could not find a part of the path "/Users/ankit/dev/md-addins/Xamarin.Designer.iOS/tests/MonoTouch.Designer.Server.Tests/tvos/obj/bin/NoDist/Tests/TVOS/MonoTouchDesignerServerTestsTVOS.app/libmonosgen-2.0.dylib"

===================

See the attached log file for the full trace.

I get the same issue with msbuild.

Xamarin.iOS
Version: 10.8.0.10 (Xamarin Business)
Hash: 9995504
Branch: master
Build date: 2017-03-03 17:18:51-0500
Comment 1 Ankit Jain 2017-03-09 02:20:00 UTC
Just the stack trace, to save Jeff's time:

Task "CodesignNativeLibraries"
	Using task CodesignNativeLibraries from Xamarin.iOS.Tasks.CodesignNativeLibraries, Xamarin.iOS.Tasks, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
	CodesignNativeLibraries Task
	  AppBundleDir: ../../../bin/NoDist/Tests/TVOS/MonoTouchDesignerServerTestsTVOS.app
	  CodesignAllocate: /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/codesign_allocate
	  DisableTimestamp: True
	  IntermediateOutputPath: obj/iPhoneSimulator/Debug/codesign
	  Keychain: <null>
	  SigningKey: -
	  ExtraArgs: <null>
	Tool /usr/bin/codesign execution started with arguments: -v --force --sign - --timestamp=none ../../../bin/NoDist/Tests/TVOS/MonoTouchDesignerServerTestsTVOS.app/libxamarin-debug.dylib
	Tool /usr/bin/codesign execution started with arguments: -v --force --sign - --timestamp=none ../../../bin/NoDist/Tests/TVOS/MonoTouchDesignerServerTestsTVOS.app/libmono-profiler-log.dylib
	Tool /usr/bin/codesign execution started with arguments: -v --force --sign - --timestamp=none ../../../bin/NoDist/Tests/TVOS/MonoTouchDesignerServerTestsTVOS.app/libmonosgen-2.0.dylib
	Tool /usr/bin/codesign execution finished (exit code = 0).
	Tool /usr/bin/codesign execution finished (exit code = 0).
	Tool /usr/bin/codesign execution finished (exit code = 0).
/Library/Frameworks/Mono.framework/External/xbuild/Xamarin/iOS/Xamarin.iOS.Common.targets: error : Error executing task CodesignNativeLibraries: One or more errors occurred.
	Error executing task CodesignNativeLibraries: System.AggregateException: One or more errors occurred. ---> System.IO.DirectoryNotFoundException: Could not find a part of the path "/Users/ankit/dev/md-addins/Xamarin.Designer.iOS/tests/MonoTouch.Designer.Server.Tests/tvos/obj/bin/NoDist/Tests/TVOS/MonoTouchDesignerServerTestsTVOS.app/libxamarin-debug.dylib"
	  at System.IO.FileStream..ctor (System.String path, System.IO.FileMode mode, System.IO.FileAccess access, System.IO.FileShare share, System.Int32 bufferSize, System.Boolean anonymous, System.IO.FileOptions options) [0x00335] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/corlib/System.IO/FileStream.cs:282 
	  at System.IO.FileStream..ctor (System.String path, System.IO.FileMode mode, System.IO.FileAccess access, System.IO.FileShare share, System.Int32 bufferSize, System.IO.FileOptions options, System.String msgPath, System.Boolean bFromProxy, System.Boolean useLongPath, System.Boolean checkHost) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/corlib/System.IO/FileStream.cs:144 
	  at (wrapper remoting-invoke-with-check) System.IO.FileStream:.ctor (string,System.IO.FileMode,System.IO.FileAccess,System.IO.FileShare,int,System.IO.FileOptions,string,bool,bool,bool)
	  at System.IO.StreamWriter.CreateFile (System.String path, System.Boolean append, System.Boolean checkHost) [0x0000e] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/io/streamwriter.cs:226 
	  at System.IO.StreamWriter..ctor (System.String path, System.Boolean append, System.Text.Encoding encoding, System.Int32 bufferSize, System.Boolean checkHost) [0x00061] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/io/streamwriter.cs:192 
	  at System.IO.StreamWriter..ctor (System.String path, System.Boolean append, System.Text.Encoding encoding, System.Int32 bufferSize) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/io/streamwriter.cs:174 
	  at System.IO.StreamWriter..ctor (System.String path, System.Boolean append, System.Text.Encoding encoding) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/io/streamwriter.cs:168 
	  at (wrapper remoting-invoke-with-check) System.IO.StreamWriter:.ctor (string,bool,System.Text.Encoding)
	  at System.IO.File.WriteAllText (System.String path, System.String contents, System.Text.Encoding encoding) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/corlib/System.IO/File.cs:596 
	  at System.IO.File.WriteAllText (System.String path, System.String contents) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/corlib/System.IO/File.cs:591 
	  at Xamarin.iOS.Tasks.CodesignNativeLibrariesTaskBase.Codesign (System.String dylib) [0x001a9] in <d2ae5244e7854842b610b5bc15eab621>:0 
	  at Xamarin.iOS.Tasks.CodesignNativeLibrariesTaskBase.<Execute>m__0 (System.String dylib) [0x00001] in <d2ae5244e7854842b610b5bc15eab621>:0 
	  at System.Threading.Tasks.Parallel+<ForEachWorker>c__AnonStorey6`2[TSource,TLocal].<>m__0 (System.Int32 i) [0x00012] in <f712f98eb8e445c8918edaf595bbe465>:0 
	  at System.Threading.Tasks.Parallel+<ForWorker>c__AnonStorey3`1[TLocal].<>m__1 () [0x000ed] in <f712f98eb8e445c8918edaf595bbe465>:0 
	   --- End of inner exception stack trace ---
	  at System.Threading.Tasks.Task.ThrowIfExceptional (System.Boolean includeTaskCanceledExceptions) [0x00014] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/threading/Tasks/Task.cs:2157 
	  at System.Threading.Tasks.Task.Wait (System.Int32 millisecondsTimeout, System.Threading.CancellationToken cancellationToken) [0x00052] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/threading/Tasks/Task.cs:3189 
	  at System.Threading.Tasks.Task.Wait () [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/threading/Tasks/Task.cs:3054 
	  at System.Threading.Tasks.Parallel.ForWorker[TLocal] (System.Int32 fromInclusive, System.Int32 toExclusive, System.Threading.Tasks.ParallelOptions parallelOptions, System.Action`1[T] body, System.Action`2[T1,T2] bodyWithState, System.Func`4[T1,T2,T3,TResult] bodyWithLocal, System.Func`1[TResult] localInit, System.Action`1[T] localFinally) [0x00152] in <f712f98eb8e445c8918edaf595bbe465>:0 
	---> (Inner Exception #0) System.IO.DirectoryNotFoundException: Could not find a part of the path "/Users/ankit/dev/md-addins/Xamarin.Designer.iOS/tests/MonoTouch.Designer.Server.Tests/tvos/obj/bin/NoDist/Tests/TVOS/MonoTouchDesignerServerTestsTVOS.app/libxamarin-debug.dylib"
	  at System.IO.FileStream..ctor (System.String path, System.IO.FileMode mode, System.IO.FileAccess access, System.IO.FileShare share, System.Int32 bufferSize, System.Boolean anonymous, System.IO.FileOptions options) [0x00335] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/corlib/System.IO/FileStream.cs:282 
	  at System.IO.FileStream..ctor (System.String path, System.IO.FileMode mode, System.IO.FileAccess access, System.IO.FileShare share, System.Int32 bufferSize, System.IO.FileOptions options, System.String msgPath, System.Boolean bFromProxy, System.Boolean useLongPath, System.Boolean checkHost) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/corlib/System.IO/FileStream.cs:144 
	  at (wrapper remoting-invoke-with-check) System.IO.FileStream:.ctor (string,System.IO.FileMode,System.IO.FileAccess,System.IO.FileShare,int,System.IO.FileOptions,string,bool,bool,bool)
	  at System.IO.StreamWriter.CreateFile (System.String path, System.Boolean append, System.Boolean checkHost) [0x0000e] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/io/streamwriter.cs:226 
	  at System.IO.StreamWriter..ctor (System.String path, System.Boolean append, System.Text.Encoding encoding, System.Int32 bufferSize, System.Boolean checkHost) [0x00061] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/io/streamwriter.cs:192 
	  at System.IO.StreamWriter..ctor (System.String path, System.Boolean append, System.Text.Encoding encoding, System.Int32 bufferSize) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/io/streamwriter.cs:174 
	  at System.IO.StreamWriter..ctor (System.String path, System.Boolean append, System.Text.Encoding encoding) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/io/streamwriter.cs:168 
	  at (wrapper remoting-invoke-with-check) System.IO.StreamWriter:.ctor (string,bool,System.Text.Encoding)
	  at System.IO.File.WriteAllText (System.String path, System.String contents, System.Text.Encoding encoding) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/corlib/System.IO/File.cs:596 
	  at System.IO.File.WriteAllText (System.String path, System.String contents) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/corlib/System.IO/File.cs:591 
	  at Xamarin.iOS.Tasks.CodesignNativeLibrariesTaskBase.Codesign (System.String dylib) [0x001a9] in <d2ae5244e7854842b610b5bc15eab621>:0 
	  at Xamarin.iOS.Tasks.CodesignNativeLibrariesTaskBase.<Execute>m__0 (System.String dylib) [0x00001] in <d2ae5244e7854842b610b5bc15eab621>:0 
	  at System.Threading.Tasks.Parallel+<ForEachWorker>c__AnonStorey6`2[TSource,TLocal].<>m__0 (System.Int32 i) [0x00012] in <f712f98eb8e445c8918edaf595bbe465>:0 
	  at System.Threading.Tasks.Parallel+<ForWorker>c__AnonStorey3`1[TLocal].<>m__1 () [0x000ed] in <f712f98eb8e445c8918edaf595bbe465>:0 <---
	---> (Inner Exception #1) System.IO.DirectoryNotFoundException: Could not find a part of the path "/Users/ankit/dev/md-addins/Xamarin.Designer.iOS/tests/MonoTouch.Designer.Server.Tests/tvos/obj/bin/NoDist/Tests/TVOS/MonoTouchDesignerServerTestsTVOS.app/libmono-profiler-log.dylib"
	  at System.IO.FileStream..ctor (System.String path, System.IO.FileMode mode, System.IO.FileAccess access, System.IO.FileShare share, System.Int32 bufferSize, System.Boolean anonymous, System.IO.FileOptions options) [0x00335] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/corlib/System.IO/FileStream.cs:282 
	  at System.IO.FileStream..ctor (System.String path, System.IO.FileMode mode, System.IO.FileAccess access, System.IO.FileShare share, System.Int32 bufferSize, System.IO.FileOptions options, System.String msgPath, System.Boolean bFromProxy, System.Boolean useLongPath, System.Boolean checkHost) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/corlib/System.IO/FileStream.cs:144 
	  at (wrapper remoting-invoke-with-check) System.IO.FileStream:.ctor (string,System.IO.FileMode,System.IO.FileAccess,System.IO.FileShare,int,System.IO.FileOptions,string,bool,bool,bool)
	  at System.IO.StreamWriter.CreateFile (System.String path, System.Boolean append, System.Boolean checkHost) [0x0000e] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/io/streamwriter.cs:226 
	  at System.IO.StreamWriter..ctor (System.String path, System.Boolean append, System.Text.Encoding encoding, System.Int32 bufferSize, System.Boolean checkHost) [0x00061] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/io/streamwriter.cs:192 
	  at System.IO.StreamWriter..ctor (System.String path, System.Boolean append, System.Text.Encoding encoding, System.Int32 bufferSize) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/io/streamwriter.cs:174 
	  at System.IO.StreamWriter..ctor (System.String path, System.Boolean append, System.Text.Encoding encoding) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/io/streamwriter.cs:168 
	  at (wrapper remoting-invoke-with-check) System.IO.StreamWriter:.ctor (string,bool,System.Text.Encoding)
	  at System.IO.File.WriteAllText (System.String path, System.String contents, System.Text.Encoding encoding) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/corlib/System.IO/File.cs:596 
	  at System.IO.File.WriteAllText (System.String path, System.String contents) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/corlib/System.IO/File.cs:591 
	  at Xamarin.iOS.Tasks.CodesignNativeLibrariesTaskBase.Codesign (System.String dylib) [0x001a9] in <d2ae5244e7854842b610b5bc15eab621>:0 
	  at Xamarin.iOS.Tasks.CodesignNativeLibrariesTaskBase.<Execute>m__0 (System.String dylib) [0x00001] in <d2ae5244e7854842b610b5bc15eab621>:0 
	  at System.Threading.Tasks.Parallel+<ForEachWorker>c__AnonStorey6`2[TSource,TLocal].<>m__0 (System.Int32 i) [0x00012] in <f712f98eb8e445c8918edaf595bbe465>:0 
	  at System.Threading.Tasks.Parallel+<ForWorker>c__AnonStorey3`1[TLocal].<>m__1 () [0x000ed] in <f712f98eb8e445c8918edaf595bbe465>:0 <---
	---> (Inner Exception #2) System.IO.DirectoryNotFoundException: Could not find a part of the path "/Users/ankit/dev/md-addins/Xamarin.Designer.iOS/tests/MonoTouch.Designer.Server.Tests/tvos/obj/bin/NoDist/Tests/TVOS/MonoTouchDesignerServerTestsTVOS.app/libmonosgen-2.0.dylib"
	  at System.IO.FileStream..ctor (System.String path, System.IO.FileMode mode, System.IO.FileAccess access, System.IO.FileShare share, System.Int32 bufferSize, System.Boolean anonymous, System.IO.FileOptions options) [0x00335] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/corlib/System.IO/FileStream.cs:282 
	  at System.IO.FileStream..ctor (System.String path, System.IO.FileMode mode, System.IO.FileAccess access, System.IO.FileShare share, System.Int32 bufferSize, System.IO.FileOptions options, System.String msgPath, System.Boolean bFromProxy, System.Boolean useLongPath, System.Boolean checkHost) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/corlib/System.IO/FileStream.cs:144 
	  at (wrapper remoting-invoke-with-check) System.IO.FileStream:.ctor (string,System.IO.FileMode,System.IO.FileAccess,System.IO.FileShare,int,System.IO.FileOptions,string,bool,bool,bool)
	  at System.IO.StreamWriter.CreateFile (System.String path, System.Boolean append, System.Boolean checkHost) [0x0000e] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/io/streamwriter.cs:226 
	  at System.IO.StreamWriter..ctor (System.String path, System.Boolean append, System.Text.Encoding encoding, System.Int32 bufferSize, System.Boolean checkHost) [0x00061] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/io/streamwriter.cs:192 
	  at System.IO.StreamWriter..ctor (System.String path, System.Boolean append, System.Text.Encoding encoding, System.Int32 bufferSize) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/io/streamwriter.cs:174 
	  at System.IO.StreamWriter..ctor (System.String path, System.Boolean append, System.Text.Encoding encoding) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/io/streamwriter.cs:168 
	  at (wrapper remoting-invoke-with-check) System.IO.StreamWriter:.ctor (string,bool,System.Text.Encoding)
	  at System.IO.File.WriteAllText (System.String path, System.String contents, System.Text.Encoding encoding) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/corlib/System.IO/File.cs:596 
	  at System.IO.File.WriteAllText (System.String path, System.String contents) [0x00000] in /private/tmp/source-mono-4.8.0/bockbuild-mono-4.8.0-branch/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/corlib/System.IO/File.cs:591 
	  at Xamarin.iOS.Tasks.CodesignNativeLibrariesTaskBase.Codesign (System.String dylib) [0x001a9] in <d2ae5244e7854842b610b5bc15eab621>:0 
	  at Xamarin.iOS.Tasks.CodesignNativeLibrariesTaskBase.<Execute>m__0 (System.String dylib) [0x00001] in <d2ae5244e7854842b610b5bc15eab621>:0 
	  at System.Threading.Tasks.Parallel+<ForEachWorker>c__AnonStorey6`2[TSource,TLocal].<>m__0 (System.Int32 i) [0x00012] in <f712f98eb8e445c8918edaf595bbe465>:0 
	  at System.Threading.Tasks.Parallel+<ForWorker>c__AnonStorey3`1[TLocal].<>m__1 () [0x000ed] in <f712f98eb8e445c8918edaf595bbe465>:0 <---
	Done building target "_CodesignNativeLibraries" in project "/Users/ankit/dev/md-addins/Xamarin.Designer.iOS/tests/MonoTouch.Designer.Server.Tests/tvos/MonoTouch.Designer.Server.TestsTVOS.csproj" ("/Library/Frameworks/Mono.framework/External/xbuild/Xamarin/iOS/Xamarin.iOS.Common.targets"); "CoreCodesign" depends on it.
Comment 2 Vincent Dondain [MSFT] 2017-03-10 16:49:10 UTC
Hi Ankit,

How am I supposed to reproduce this issue?

Just building a simple iOS project?

I'm not having any issues with the following environment: https://gist.github.com/VincentDondain/43094f26a54ba417773222f481469b9c
Comment 3 Jeffrey Stedfast 2017-03-10 16:55:17 UTC
PR for master: https://github.com/xamarin/xamarin-macios/pull/1861
Comment 4 Jeffrey Stedfast 2017-03-13 17:35:25 UTC
PR for 15.1: https://github.com/xamarin/xamarin-macios/pull/1863